QGIS Application - Feature request #10723
Correctly import qgis 2.0.1 symbology in later releases
2014-06-25 08:12 AM - Gabriele Monfardini

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19110
Description

New description:

Since QGIS 2.2 a few aspect of the symbolgy have been changed, this can lead to issue when importing projects made with 2.0.1.

See comments for details, in particular: #10723-2

It would be good to have a routine that can handle with this cases.

Old description:

Hi all,

I've found a regression in a 2.0.1 project.
Border stylization is not preserved when opening the project in 2.2.0-Valmiera or in trunk (QGIS 2.3.0-master revision:abcc5a).

I've reproduced the problem in a small test case.
The zip file contain a shapefile and a 2.0.1 project.
Attached images show the obtained results in:

- 2.0.1 (in Windows 32 bit)

- 2.2.0 (in Windows 32 bit)

- trunk (revision abccba in Linux 64 bit)

For me is a serious problem.
| had several complex sytlization made with 2.0.1 and | cannot use any later version since | cannot afford to make again the stylization.

History

#1 - 2014-06-25 08:30 AM - Michael Douchin

| embed images to ease bug reading:
#2 - 2014-06-25 01:10 PM - Giovanni Manghi
- Affected QGIS version changed from 2.2.0 to master
- Category set to Symbology
- Status changed from Open to Feedback
This is how | followed the evolution of this matter:
- the direction/angle of the line pattern fill of the bottom left polygon was right in qgis 2.0.1, bugged in 2.0.2 and fixed in master
- the line pattern fill was wrong (IMHO) in QGIS 2.0.1 and fixed in QGIS 2.2: in QGIS 2.0.1 the fill properties allowed to choose the angle and color (and
distance/width/offset) of the line, but not the style of the line. In fact the inner properties of the fill changed the style of the border, that had no sense for a

fill.

In my opinion this should be closed.

#3 - 2014-06-25 01:12 PM - Giovanni Manghi

see #8975-11

#4 - 2014-06-25 05:10 PM - Nyall Dawson

Well... we could add a project transform which extracts the line style from pre 2.2 projects and adds it as a new outline symbol layer, but that's not a trivial
change.

#5 - 2014-06-26 12:12 AM - Paolo Cavallini

Agreed, it is a serious issue, and the only practical way would be to provide project migration utilities from a version to the next, but it's a significant amount
of work. If people are interested in saving time, they are invited to support this development.
#6 - 2014-06-26 12:24 AM - Jiirgen Fischer

Paolo Cavallini wrote:

Agreed, it is a serious issue, and the only practical way would be to provide project migration utilities from a version to the next, but it's a significant

amount of work. If people are interested in saving time, they are invited to support this development.

Utilities? We already have transformation routines within QGIS (see QgsProjectFile Transform), but they are probably not maintained well enough.

#7 - 2014-06-26 12:28 AM - Paolo Cavallini

Yes, | did not mean external utilities; the transformation routines should be improved then.

#8 - 2014-10-11 07:38 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from Regression from 2.0.1-Dufour in border stylization to Correctly import qgis 2.0.1 symbology in later releases

- Status changed from Feedback to Open

#9 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#10 - 2017-08-08 12:59 AM - Jiirgen Fischer
- Description updated
http://qgis.org/api/classQgsProjectFileTransform.html

